Get a verification
curl --request GET \
--url https://api.check.et/api/v1/verifications/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.check.et/api/v1/verifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.check.et/api/v1/verifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verification": {
"id": 9812,
"bank": "cbe",
"bank_name": "Commercial Bank of Ethiopia",
"transaction_number": "FT26144SG2ST",
"account_number": "1000876543218",
"success": true,
"exists": true,
"status": "completed",
"transaction_type": "transfer",
"amount": 1350,
"currency": "ETB",
"payer_name": "Hayat Ahmed",
"transaction_date": "2023-11-07T05:31:56Z",
"created_at": "2025-06-10T14:32:11+03:00",
"source": {
"type": "api",
"label": "API: production"
}
}
}Verifications
Get Verification
Fetch a single verification record by ID
GET
/
verifications
/
{id}
Get a verification
⌘I

